CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions | Variables
CRAM_Service.cpp File Reference
`#include "CRAM_Service.h"`
`#include <time.h>`
`#include <signal.h>`
`#include <iostream>`
`#include "CSL_All.h"`
`#include "PAIO.h"`
`#include "UDP_IO.h"`
`#include "CAIO.h"`
`#include <unistd.h>`

Go to the source code of this file.

## Macros
#define | LL_FILENAME "/usr/local/CSL/Data/SpeakerDB.txt"
#define | SS_FILENAME "/usr/local/CSL/Data/SpeakerDB.aiff"

## Functions
void * | fm_bells (void *ptr)
void * | swept_noise (void *ptr)
void * | phonemes (void *ptr)
void * | mixer (void *ptr)
int | main (int argc, char *argv[])
void | load_cues (void)

## Variables
IO * | gIO = NULL
vector< char * > | hosts
vector< unsigned > | ports
CSLService * | server
vector< SoundCue * > | gSpeakers
SoundFile * | gSndFile

## Macro Definition Documentation

#define LL_FILENAME "/usr/local/CSL/Data/SpeakerDB.txt"

Definition at line 277 of file CRAM_Service.cpp.

Referenced by load_cues().

#define SS_FILENAME "/usr/local/CSL/Data/SpeakerDB.aiff"

Definition at line 278 of file CRAM_Service.cpp.

Referenced by load_cues().

## Function Documentation

void * fm_bells | ( | void * | ptr | ) |

Definition at line 190 of file CRAM_Service.cpp.

References gIO, csl::IO::start(), and csl::Envelope::trigger().

Referenced by csl::CSLService::start().

void * swept_noise | ( | void * | ptr | ) |

Definition at line 223 of file CRAM_Service.cpp.

References BW_BAND_PASS, gIO, and csl::IO::start().

Referenced by csl::CSLService::start().

void * phonemes | ( | void * | ptr | ) |

Definition at line 308 of file CRAM_Service.cpp.

References gIO, gSpeakers, load_cues(), csl::IO::start(), and csl::SoundCue::trigger().

Referenced by csl::CSLService::start().

void * mixer | ( | void * | ptr | ) |

Definition at line 256 of file CRAM_Service.cpp.

References gIO, hosts, ports, and csl::IO::start().

Referenced by csl::CSLService::start().

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 139 of file CRAM_Service.cpp.

References gIO, hosts, csl::IO::open(), ports, server, and csl::CSLService::start().

void load_cues | ( | void |  | ) |

Definition at line 283 of file CRAM_Service.cpp.

References gSndFile, gSpeakers, LL_FILENAME, and SS_FILENAME.

Referenced by phonemes().

## Variable Documentation

IO* gIO = NULL

Definition at line 33 of file CRAM_Service.cpp.

Referenced by fm_bells(), main(), mixer(), phonemes(), csl::CSLService::resume(), csl::CSLService::stop(), csl::CSLService::suspend(), and swept_noise().

vector<char *> hosts

Definition at line 34 of file CRAM_Service.cpp.

Referenced by main(), and mixer().

vector<unsigned> ports

Definition at line 35 of file CRAM_Service.cpp.

Referenced by main(), mixer(), and csl::JackIO::open().

CSLService* server

Definition at line 134 of file CRAM_Service.cpp.

Referenced by main().

vector<SoundCue *> gSpeakers

Definition at line 280 of file CRAM_Service.cpp.

Referenced by load_cues(), and phonemes().

SoundFile* gSndFile

Definition at line 281 of file CRAM_Service.cpp.

Referenced by load_cues().